package it.unibo.tw0708.dao.mysql;

import it.unibo.tw0708.dao.UserDAO;
import it.unibo.tw0708.dao.UserDTO;

import java.util.Collection;

public class MySqlUserDAO 
implements UserDAO {

	// ======================================================================================
	
	static final String user_table = "user";

	// -------------------------------------------------------------------------------------

	static final String user_id = "id";
	static final String user_name = "name";
	static final String user_surname = "surname";
	static final String user_address = "address";
	static final String user_matriculation = "matriculation";
	static final String user_nick = "nick";
	static final String user_password = "password";
	
	// -------------------------------------------------------------------------------------

	static final String insert = 
		"INSERT " +
			"INTO " + user_table + " ( " + 
				user_name +", "+user_surname+", "+user_address+", "+user_matriculation+", "+user_nick+", "+user_password + " " +
			") " +
			"VALUES (?,?,?,?,?,?) ;"
		;
	static String read_by_id = 
		"SELECT * " +
			"FROM " + user_table + " " +
			"WHERE " + user_id + " = ? ;"
		;
	static String read_by_nick = 
		"SELECT * " +
			"FROM " + user_table + " " +
			"WHERE " + user_nick + " = ? ;"
		;
	static String delete = 
		"DELETE " +
			"FROM " + user_table + " " +
			"WHERE " + user_id + " = ? ;"
		;
	static String update = 
		"UPDATE " + user_table + " " +
			"SET " + 
				user_name + " = ?, " +
				user_surname + " = ?, " +
				user_address + " = ?, " +
				user_matriculation + " = ?, " +
				user_nick + " = ?, " +
				user_password + " = ? " +
			"WHERE " + user_id + " = ? ;"
		;
	static String query = 
		"SELECT * " +
			"FROM " + user_table + " ;"
		;

	// -------------------------------------------------------------------------------------

	static String lastInsert // TODO....
//		"CALL " + 
//			"IDENTITY() ;"
		;

	// -------------------------------------------------------------------------------------

	static String create = 
		"CREATE " +
			"TABLE " + user_table +" ( " +
				user_id + " INT NOT NULL IDENTITY, " +
				user_name + " VARCHAR(50), " +
				user_surname + " VARCHAR(50), " +
				user_address + " LONGVARCHAR, " +
				user_matriculation + " BIGINT, " +
				user_nick + " VARCHAR(25), " +
				user_password + " BINARY, " +
				"UNIQUE( " + user_id + " ) " +
			") ;"
		;
	static String drop = 
		"DROP " +
			"TABLE " + user_name + " ;"
		;
	
	// ======================================================================================
		
	@Override
	public boolean createTable() {
		// TODO Auto-generated method stub
		throw new RuntimeException("Not yet implemented!");
	}
	@Override
	public int createUser(UserDTO t) {
		// TODO Auto-generated method stub
		throw new RuntimeException("Not yet implemented!");
	}
	@Override
	public boolean deleteUser(UserDTO t) {
		// TODO Auto-generated method stub
		throw new RuntimeException("Not yet implemented!");
	}
	@Override
	public boolean dropTable() {
		// TODO Auto-generated method stub
		throw new RuntimeException("Not yet implemented!");
	}
	@Override
	public UserDTO findUser(String nick) {
		// TODO Auto-generated method stub
		throw new RuntimeException("Not yet implemented!");
	}
	@Override
	public Collection<UserDTO> getUsers() {
		// TODO Auto-generated method stub
		throw new RuntimeException("Not yet implemented!");
	}
	@Override
	public UserDTO readUser(int id) {
		// TODO Auto-generated method stub
		throw new RuntimeException("Not yet implemented!");
	}
	@Override
	public boolean updateUser(UserDTO t) {
		// TODO Auto-generated method stub
		throw new RuntimeException("Not yet implemented!");
	}

}
