<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<%@ page contentType="text/html; charset=US-ASCII" %>
<%@ page errorPage="errorpages/failure.jsp"%>

<%! 
private String memberVariable = 
	"This is a sample member variable, shared and available through all invocations of this jsp page " +
	"(as long as the garbage collector does not free memory by deallocating the Java object that instantiates " +
	"the Java class that realizes the page itself)";

private void modifyVariable(String aVar) 
throws RuntimeException {
	if ( aVar != null && ! aVar.equals("") ) {
		memberVariable = aVar;
		if ( aVar.equals("666") ) 
			throw new RuntimeException("You entered 666!!!");
	}
}
%>

<html>
<head>
	<meta name="Author" content="pisi79">
	<title>Home JSP</title>
	<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
</head>

<body onload="document.getElementById('home').style.backgroundColor='#aaa';">
<%@ include file="fragments/menu.jsp" %>

<div id="main">
	<p>
		This page is on context-path: <%= request.getContextPath() %>
	</p>
	<p>
<%
		modifyVariable(request.getParameter("aVar"));
%>
		This is <i>memberVariable</i> value: '<b><%= memberVariable %></b>'.<br/>
		<form>
			You can modify it if you want to:
			<input type="text" name="aVar"/>
			<input type="submit" value="submit"/>
		</form>
	</p>
</div>

<%@ include file="fragments/footer.jsp" %>
</body>
</html>
