<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<%@ page contentType="text/html; charset=US-ASCII" %>
<%@ page errorPage="../errorpages/failure.jsp"%>
<%@ page session="true"%>

<%!
%>
<html>
<head>
	<meta Property name="Author" content="pisi79">
	<title>Built-in objects JSP</title>
	<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
</head>

<body onload="document.getElementById('builtin').style.backgroundColor='#aaa';">
<%@ include file="../fragments/menu.jsp" %>

<div id="main">

	<p>
	<h3>page</h3>
	Property name="ServletInfo" value="<%= ((javax.servlet.jsp.HttpJspPage)page).getServletInfo() %>"<br/>
	</p>

	<p>
	<h3>config</h3>
<%
	String initParameterNames = "";
	java.util.Enumeration e1 = config.getInitParameterNames();
	while ( e1.hasMoreElements() ) {
		String name = (String) e1.nextElement();
		initParameterNames += name + ", ";
	}
%>
	Property name="InitParameterNames" value="<%= config.getInitParameterNames() %>"<br/><br/>
<%
	java.util.Enumeration e2 = config.getInitParameterNames();
	while ( e2.hasMoreElements() ) {
		String name = (String) e2.nextElement();
		out.print("<tt>initParameter:" + name + "</tt> = <i>" + config.getInitParameter(name) + "</i><br/>");	
	}
%>
	<br/>
	Property name="ServletName" value="<%= config.getServletName() %>"<br/>
	Property name="ServletContext" value="<%= config.getServletContext() %>"<br/>
	</p>

	<p>
	<h3>request</h3>
	</p>
	Property name="AuthType" value="<%= request.getAuthType() %>"<br/>
	Property name="CharacterEncoding" value="<%= request.getCharacterEncoding() %>"<br/>
	Property name="ContentLength" value="<%= request.getContentLength() %>"<br/>
	Property name="ContentType" value="<%= request.getContentType() %>"<br/>
	Property name="ContextPath" value="<%= request.getContextPath() %>"<br/>
<%
	Cookie[] cookies = request.getCookies();
	String cookie_values = "";
	if ( cookies != null ) {
		for ( int i = 0 ; i < cookies.length ; i++ ) {
			cookie_values += cookies[i].getName() + "=" + cookies[i].getValue() + "; ";
		}
	}
%>
	Property name="Cookies" value="<%= cookie_values %>"<br/>

<%
	java.util.Enumeration e3 = request.getHeaderNames();
	String headerNames = "";
	while ( e3.hasMoreElements() ) {
		String name = (String) e3.nextElement();
		headerNames += name + ", ";
	}
%>
	Property name="HeaderNames" value="<%= headerNames %>"<br/><br/>
<%
	java.util.Enumeration e4 = request.getHeaderNames();
	while ( e4.hasMoreElements() ) {
		String name = (String) e4.nextElement();
		out.print("<tt>headerName:" + name + "</tt> = <i>" + request.getHeader(name) + "</i><br/>");
	}
%>
	<br/>
	Property name="LocalAddr" value="<%= request.getLocalAddr() %>"<br/>
	Property name="LocalName" value="<%= request.getLocalName() %>"<br/>
	Property name="LocalPort" value="<%= request.getLocalPort() %>"<br/>
	Property name="Locale" value="<%= request.getLocale().toString() %>"<br/>
	Property name="Method" value="<%= request.getMethod() %>"<br/>
<%
	java.util.Enumeration e5 = request.getParameterNames();
	String paramterNames = "";
	while ( e5.hasMoreElements() ) {
		String name = (String) e5.nextElement();
		paramterNames += name + ", ";
	}
%>
	Property name="ParameterNames" value="<%= paramterNames %>"<br/><br/>
<%
	java.util.Enumeration e6 = request.getParameterNames();
	while ( e6.hasMoreElements() ) {
		String name = (String) e6.nextElement();
		out.print("<tt>parameterName:" + name + "</tt> = <i>" + request.getParameter(name) + "</i><br/>");
	}
%>
	<br/>
	Property name="PathInfo" value="<%= request.getPathInfo() %>"<br/>
	Property name="PathTranslated" value="<%= request.getPathTranslated() %>"<br/>
	Property name="Protocol" value="<%= request.getProtocol() %>"<br/>
	Property name="QueryString" value="<%= request.getQueryString() %>"<br/>
	Property name="RemoteAddr" value="<%= request.getRemoteAddr() %>"<br/>
	Property name="RemoteHots" value="<%= request.getRemoteHost() %>"<br/>
	Property name="RemotePort" value="<%= request.getRemotePort() %>"<br/>
	Property name="RemoteUser" value="<%= request.getRemoteUser() %>"<br/>
	Property name="RequestSessionId" value="<%= request.getRequestedSessionId() %>"<br/>
	Property name="RequestURI" value="<%= request.getRequestURI() %>"<br/>
	Property name="RequestURL" value="<%= request.getRequestURL().toString() %>"<br/>
	Property name="Scheme" value="<%= request.getScheme() %>"<br/>
	Property name="ServerName" value="<%= request.getServerName() %>"<br/>
	Property name="ServerPort" value="<%= request.getServerPort() %>"<br/>
	Property name="ServletPath" value="<%= request.getServletPath() %>"<br/>
	Property name="Session" value="<%= request.getSession() %>"<br/>

	<p>
	<h3>response</h3>
	Property name="BufferSize" value="<%= response.getBufferSize()%>"<br/>
	Property name="CharacterEncoding" value="<%= response.getCharacterEncoding()%>"<br/>
	Property name="ContentType" value="<%= response.getContentType()%>"<br/>
	Property name="Locale" value="<%= response.getLocale().toString()%>"<br/>
<%
	// response.addCookie(new Cookie("Cookie_" + System.currentTimeMillis(), "" + new java.util.Random().nextInt()));
%>
	</p>

	<p>
	<h3>out</h3>
	Property name="BufferSize" value="<%= out.getBufferSize()%>"<br/>
	Property name="Remaining" value="<%= out.getRemaining()%>"<br/>

	</p>

	<p>
	<h3>session</h3>
	Property name="CreationTime" value="<%= session.getCreationTime()%>"<br/>
	Property name="Id" value="<%= session.getId()%>"<br/>
	Property name="LastAccessedTime" value="<%= session.getLastAccessedTime()%>"<br/>
	Property name="MaxInactiveInterval" value="<%= session.getMaxInactiveInterval()%>"<br/>
<%
	java.util.Enumeration e7 = session.getAttributeNames();
	String attributenames = "";
	while ( e7.hasMoreElements() ) {
		String name = (String) e7.nextElement();
		attributenames += name + " ";
	}
%>
	Property name="AttributeNames" value="<%= attributenames %>"<br/>
<%
	java.util.Enumeration e8 = session.getAttributeNames();
	while ( e8.hasMoreElements() ) {
		String name = (String) e8.nextElement();
		out.print("<tt>attributeName:" + name + "</tt> = <i>" + session.getAttribute(name) + "</i><br/>");
	}
%>
<%
	// session.setAttribute("Attribute_" + System.currentTimeMillis(), "" + new java.util.Random().nextDouble());
%>
	</p>

	<p>
	<h3>application</h3>
<%
	java.util.Enumeration e9 = application.getInitParameterNames();
	String initnames = "";
	while ( e9.hasMoreElements() ) {
		String name = (String) e9.nextElement();
		initnames += name + ", ";
	}
%>
	Property name="InitParameterNames" value="<%= initnames %>"<br/><br/>
<%
	java.util.Enumeration e10 = application.getInitParameterNames();
	while ( e10.hasMoreElements() ) {
		String name = (String) e10.nextElement();
		out.print("<tt>initParameterName:" + name + "</tt> = <i>" + application.getInitParameter(name) + "</i><br/>");
	}
%>
	<br/>
	Property name="MajorVersion" value="<%= application.getMajorVersion()%>"<br/>
	Property name="MinorVersion" value="<%= application.getMinorVersion()%>"<br/>
	Property name="ServerInfo" value="<%= application.getServerInfo()%>"<br/>
	Property name="ServletContextName" value="<%= application.getServletContextName()%>"<br/>
<%
	java.util.Enumeration e11 = application.getAttributeNames();
	String attrnames = "";
	while ( e11.hasMoreElements() ) {
		String name = (String) e11.nextElement();
		attrnames += name + ", ";
	}
%>
	Property name="AttributeNames" value="<%= attrnames %>"<br/><br/>
<%
	java.util.Enumeration e12 = application.getAttributeNames();
	while ( e12.hasMoreElements() ) {
		String name = (String) e12.nextElement();
		out.print("<tt>attribute:" + name + "</tt> = <i>" + application.getAttribute(name) + "</i><br/>");
	}
%>
	</p>

	<p>
	<h3>pageContext</h3>
	Not so much to show...
	</p>

	<p>
	<h3>exception</h3>
	...only available in errorPages...
	</p>

</div>

<%@ include file="../fragments/footer.jsp" %>
</body>
</html>
