<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<%@ page contentType="text/html; charset=US-ASCII" %>
<%@ page errorPage="../errorpages/failure.jsp"%>
<%@ page session="true"%>

<%!
void setP1(it.unibo.tw0708.beans.ABeanClass bean, String value) {
	if ( ( value != null ) && !value.equals("") )
		bean.setProperty1(value);
}
void setP2(it.unibo.tw0708.beans.ABeanClass bean, String value) {
	if ( ( value != null ) && !value.equals("") )
		bean.setProperty2(value);
}%>

<html>
<head>
	<meta name="Author" content="pisi79">
	<title>Bean object JSP #3 (out of session)</title>
	<link rel="stylesheet" href="<%=request.getContextPath()%>/styles/default.css" type="text/css"/>
</head>

<body onload="document.getElementById('bean').style.backgroundColor='#aaa';">
<%@ include file="../fragments/menu.jsp" %>

<div id="main">

	<jsp:useBean id="pageScopedBean" class="it.unibo.tw0708.beans.ABeanClass" scope="page">
	</jsp:useBean>

	<jsp:useBean id="requestScopedBean" class="it.unibo.tw0708.beans.ABeanClass" scope="request">
	</jsp:useBean>
	
	<jsp:useBean id="applicationScopedBean" class="it.unibo.tw0708.beans.ABeanClass" scope="application">
	</jsp:useBean>
	
	<jsp:useBean id="sessionScopedBean" class="it.unibo.tw0708.beans.ABeanClass" scope="session">
	</jsp:useBean>
	
	<p>
		Bean name: pageScopedBean<br/>
		Bean class: ${ pageScopedBean.class }<br/>
		Bean property1: ${ pageScopedBean.property1 }<br/>
		Bean property2: ${ pageScopedBean.property2 }<br/>
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
		Bean name: requestScopedBean<br/>
		Bean class: ${ requestScopedBean.class }<br/>
		Bean property1: ${ requestScopedBean.property1 }<br/>
		Bean property2: ${ requestScopedBean.property2 }<br/>
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
		Bean name: sessionScopedBean<br/>
		Bean class: ${ sessionScopedBean.class }<br/>
		Bean property1: ${ sessionScopedBean.property1 }<br/>
		Bean property2: ${ sessionScopedBean.property2 } <br/>
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
		Bean name: applicationScopedBean<br/>
		Bean class: ${ applicationScopedBean.class }<br/>
		Bean property1: ${ applicationScopedBean.property1 } <br/>
		Bean property2: ${ applicationScopedBean.property2 }<br/>
	</p>
	<br/>
	<hr/>
	<br/>

	<p>
		Notice! Values in this page are printed by means of EL expressions!
	</p>
	<p>
		Go <a href="bean1.jsp">back</a> to the page with setter methods...
	</p>
</div>    

<%@ include file="../fragments/footer.jsp" %>
</body>
</html>
