<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<%@ page contentType="text/html; charset=US-ASCII" %>
<%@ page errorPage="../errorpages/failure.jsp"%>
<%@ page import="it.unibo.tw0708.dao.*" %>
<%@page import="java.util.*"%><html>

<%!
String buildTableRow(UserDTO userDTO) {
	StringBuffer buffer = new StringBuffer();
	buffer
		.append("<tr><td>")
		.append(userDTO.getId())
		.append("</td><td>")
		.append(userDTO.getName())
		.append("</td><td>")
		.append(userDTO.getSurname())
		.append("</td><td>")
		.append(userDTO.getNick())
		.append("</td><td>")
		.append(userDTO.getMatriculation())
		.append("</td><td>")
		.append(userDTO.getAddress())
		.append("</td><tr>");
	return buffer.toString();		
}
%>

<%
UserDAO userDAO = 
	DAOFactory
		.getDAOFactory(
			Integer.parseInt(
				// can't use builtin object 'application' while in a declaration! 
				// must be in a scriptlet or expression!
				application.getInitParameter("daoFactory")
			)
		).getUserDAO();
%>

<head>
	<meta name="Author" content="pisi79">
	<title>Dealing with DAO (1)</title>
	<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
</head>

<body onload="document.getElementById('jspdao1').style.backgroundColor='#aaa';">
<%@ include file="../fragments/menu.jsp" %>

<div id="main">
	<p>
		This is current database content for table 'user':
		<table>
				<thead><tr><th>Id</th><th>Name</th><th>Surname</th><th>Nick</th><th>Matriculation</th><th>Address</th></tr></thead>
<%
				Collection users = userDAO.getUsers();
			
				Iterator iterator = users.iterator();
				while ( iterator.hasNext() ) {
%>
					<%= buildTableRow( (UserDTO) iterator.next() ) %>	
<%
				}//while
%>
		</table>
	</p>
</div>

<%@ include file="../fragments/footer.jsp" %>
</body>
</html>
